-->
These old forums are deprecated now and set to read-only. We are waiting for you on our new forums!
More modern, Discourse-based and with GitHub/Google/Twitter authentication built-in.

All times are UTC - 5 hours [ DST ]



Forum locked This topic is locked, you cannot edit posts or make further replies.  [ 2 posts ] 
Author Message
 Post subject: Hibernate Validator 4.2.0.Beta1 with JPA 1
PostPosted: Wed Feb 16, 2011 7:40 am 
Newbie

Joined: Wed Jun 06, 2007 1:18 am
Posts: 4
Hi,
is there a possibility of allowing Hibernate Validator 4.2.0.Beta1 to work with JPA 1 , currently by default it tries to detect JPA 2.

So what are the issues with having Hibernate Validator 4.2.0.Beta1 and JPA 1 on classpath and would there be any workarounds to that ?

thanks


Top
 Profile  
 
 Post subject: Re: Hibernate Validator 4.2.0.Beta1 with JPA 1
PostPosted: Wed Mar 23, 2011 6:24 am 
Contributor
Contributor

Joined: Mon Feb 28, 2011 7:27 pm
Posts: 20
Location: France
Hi,

It's possible to use Hibernate Validator with JPA1. You will have to realize the integration by hand (Bean Validation is integrated with JPA2). To use Bean Validation (Hibernate Validator is the RI) with JPA1, see http://agoncal.wordpress.com/2010/03/03 ... h-jpa-1-0/

Hope this help.

--
Kevin


Top
 Profile  
 
Display posts from previous:  Sort by  
Forum locked This topic is locked, you cannot edit posts or make further replies.  [ 2 posts ] 

All times are UTC - 5 hours [ DST ]


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum

Search for:
cron
© Copyright 2014, Red Hat Inc. All rights reserved. JBoss and Hibernate are registered trademarks and servicemarks of Red Hat, Inc.